ThreadInfo (JProfiler API)
Date: 2009-04-22

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.platform.structures
Interface ThreadInfo

    public interface ThreadInfo

Describes a thread. A list of alive and dead threads can be requested from the connection.

See Also:
  `Connection.getThreadInfos()`

Method Summary
`java.lang.String` | `getGroupName()` Returns the thread group name of this thread.
`java.lang.String` | `getParentName()` Returns the name of the parent thread.
`long` | `getThreadCPUTime()` Returns the CPU time for this thread.
`long` | `getThreadEndTime()` Returns the time when this thread was ended.
`java.lang.Long` | `getThreadId()` Returns the id of this thread.
`java.lang.String` | `getThreadName()` Returns the name of this thread.
`long` | `getThreadStartTime()` Returns the time when this thread was started.

Method Detail

### getThreadId

    java.lang.Long getThreadId()

  Returns the id of this thread.

  Returns:
    the id

### getThreadName

    java.lang.String getThreadName()

  Returns the name of this thread. The profiling agent keeps track of thread name changes. If you re-request the list of threads from the connection, the current name will be returned.

  Returns:
    the name

### getGroupName

    java.lang.String getGroupName()

  Returns the thread group name of this thread.

  Returns:
    the group name

### getParentName

    java.lang.String getParentName()

  Returns the name of the parent thread.

  Returns:
    the parent name

### getThreadStartTime

    long getThreadStartTime()

  Returns the time when this thread was started. The time is measured in microseconds beginning with the start of the VM.

  Returns:
    the start time

### getThreadEndTime

    long getThreadEndTime()

  Returns the time when this thread was ended. If the thread is still alive, this method returns 0. The time is measured in microseconds beginning with the start of the VM.

  Returns:
    the end time

### getThreadCPUTime

    long getThreadCPUTime()

  Returns the CPU time for this thread. "CPU time" is the time that has been allocated to this thread by the operating system so far. CPU time measurements are provided by the operating system. They are relatively coarse-grained and can be zero.

  Returns:
    the CPU time

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD